Bug 1013654 - Fencing flow fails to get to secondary PM (primary is deliberately configured with wrong params)
Fencing flow fails to get to secondary PM (primary is deliberately configured...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Eli Mesika
sefi litmanovich
infra
: Triaged
Depends On:
Blocks: 982604
  Show dependency treegraph
 
Reported: 2013-09-30 10:20 EDT by sefi litmanovich
Modified: 2016-02-10 14:30 EST (History)
9 users (show)

See Also:
Fixed In Version: is20.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log (6.52 MB, text/x-log)
2013-09-30 10:20 EDT, sefi litmanovich
no flags Details
new engine.log with proxy host problem (6.19 MB, text/x-log)
2013-11-04 05:20 EST, sefi litmanovich
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19718 None None None Never
oVirt gerrit 20334 None None None Never
oVirt gerrit 21774 None None None Never

  None (edit)
Description sefi litmanovich 2013-09-30 10:20:51 EDT
Created attachment 805232 [details]
engine log

Description of problem:

Fencing flow fails to get to secondery PM (primary is deliberatly configured with wrong params) 

Version-Release number of selected component (if applicable):
rhevm 3.3 IS16

How reproducible:



Steps to Reproduce:
1. block network communication between engine and host to provoke fencing:
iptables -A OUTPUT -s {engine_IP} -d {host_IP} -j REJECT

Actual results:
host goes down, fails to reboot, soft fencing fails as well, fence is provoked, fails with the corrupt primary PM, then fails to start fence with secondery PM.
host remains non-responsive


Expected results:
host goes down, fails to reboot, soft fencing fails as well, fence is provoked, fails with the corrupt primary PM, then fence starts with the secondery PM and should restart host succefully.

Additional info:

relevant error from engine.log:

2013-09-30 16:21:47,900 ERROR [org.ovirt.engine.core.bll.StopVdsCommand] (pool-5-thread-47) Command org.ovirt.engine.core.bll.StopVdsCommand throw exception: java.lang.IllegalArgumentException: Unmatched braces
Comment 1 sefi litmanovich 2013-10-30 06:04:01 EDT
Bug still occures on is20 with the exact same exception.
Comment 2 Eli Mesika 2013-10-30 06:21:41 EDT
(In reply to sefi litmanovich from comment #1)
> Bug still occures on is20 with the exact same exception.

BZ fix is not a part of is20 , please check in the next comming build ...
Comment 5 sefi litmanovich 2013-11-04 05:19:21 EST
Error with braces solved but now there is another error.
proxyhost parameter gets null during second PM fencing attempt:

2013-11-04 11:05:10,927 INFO  [org.ovirt.engine.core.bll.FenceExecutor] (pool-5-thread-48) [3e262576] Executing <Stop> Power Management command, Proxy Host:null, Agent:ipmilan, Target Host:rose07.qa.lab.tlv.redhat.com, Management IP:rose07-mgmt.qa.lab.tlv.redhat.com, User:root, Options:
2013-11-04 11:05:10,928 ERROR [org.ovirt.engine.core.vdsbroker.ResourceManager] (pool-5-thread-48) [3e262576] CreateCommand failed: java.lang.NullPointerException

Will attach the current engine.log
Comment 6 sefi litmanovich 2013-11-04 05:20:36 EST
Created attachment 819045 [details]
new engine.log with proxy host problem
Comment 10 sefi litmanovich 2013-12-18 06:34:13 EST
Verified on RHEVM3.3 IS27
Comment 11 Itamar Heim 2014-01-21 17:30:30 EST
Closing - RHEV 3.3 Released
Comment 12 Itamar Heim 2014-01-21 17:30:32 EST
Closing - RHEV 3.3 Released
Comment 13 Itamar Heim 2014-01-21 17:33:31 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.